Bug 1799174 - asv: FTBFS in Fedora rawhide/f32
Summary: asv: FTBFS in Fedora rawhide/f32
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: asv
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS 1799947
TreeView+ depends on / blocked
 
Reported: 2020-02-06 16:04 UTC by Fedora Release Engineering
Modified: 2020-02-23 08:50 UTC (History)
3 users (show)

Fixed In Version: asv-0.4.1-7.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-23 08:13:53 UTC
Type: ---


Attachments (Terms of Use)
build.log (1.19 KB, text/plain)
2020-02-06 16:04 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2020-02-06 16:04 UTC, Fedora Release Engineering
no flags Details
state.log (813 bytes, text/plain)
2020-02-06 16:04 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2020-02-06 16:04:06 UTC
asv failed to build from source in Fedora rawhide/f32

https://koji.fedoraproject.org/koji/taskinfo?taskID=41315905


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
Please fix asv at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
asv will be orphaned. Before branching of Fedora 33,
asv will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-02-06 16:04:11 UTC
Created attachment 1658465 [details]
build.log

Comment 2 Fedora Release Engineering 2020-02-06 16:04:16 UTC
Created attachment 1658466 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-02-06 16:04:20 UTC
Created attachment 1658467 [details]
state.log

Comment 4 Ben Cotton 2020-02-11 17:15:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 5 Fedora Release Engineering 2020-02-16 04:27:16 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 6 Ankur Sinha (FranciscoD) 2020-02-22 21:19:30 UTC
Elliott, 

What do you want to do here? Bundle nodejs-flot? It's been retired.

Cheers,
Ankur

Comment 7 Elliott Sales de Andrade 2020-02-23 06:11:43 UTC
I was hoping to resurrect it, but I can't really find the time to figure out how to build JS stuff (I also don't understand why it was a nodejs-* package when it's purely a client-side library.) Since bundling is allowed now, I'll have to do that instead.

Comment 8 Ankur Sinha (FranciscoD) 2020-02-23 08:50:34 UTC
Yeh, I looked at it too and thought bundling would be easier in ths short term. Thanks very much :)


Note You need to log in before you can comment on or make changes to this bug.